using Tiobon.Core.Common;
using Tiobon.Core.Model;

namespace Tiobon.Core.IServices;

/// <summary>
/// 培训需求(自定义服务接口)
/// </summary>	
public interface IGhre_RequestServices : IBaseServices<Ghre_Request, Ghre_RequestDto, InsertGhre_RequestInput, EditGhre_RequestInput>
{
    Task<ServiceResult> UpdateStatus(InsertGhre_RequestInput input, string status);

    Task<ServiceResult<long>> InsertByStatus(InsertGhre_RequestInput insertModel, string status);

    Task<ServicePageResult<Ghre_RequestDto>> QueryGroup(QueryBody filter, string type);

    Task Ushio_Sync();

    Task<ServiceResult<ExcelData>> ExportGroupExcel(QueryExport body, string type);
    Task<ServiceResult<ExcelData>> ExportExcel(QueryExport body, string status);
}